Doesn't install any gems on Debian. OpenSSL::SSL::SSLErrorWaitReadable - read would block

danny's Avatar

danny

04 Apr, 2014 12:54 PM

$ rvm version
rvm 1.25.22 (stable) by Wayne E. Seguin <[email blocked]>, Michal Papis <[email blocked]> [https://rvm.io/]

$ ruby -v
ruby 2.1.1p76 (2014-02-24 revision 45161) [x86_64-linux]

Installing any gem, for example rake:

$ gem install rake -v '10.1.1' -V --debug
Exception `LoadError' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/resolv.rb:169 - LoadError
Exception `Errno::EEXIST' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/fileutils.rb:250 - File exists @ dir_s_mkdir - /STORAGE/user/.gem/specs/api.rubygems.org%443
Exception `Errno::ENOENT' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/site_ruby/2.1.0/rubygems/remote_fetcher.rb:294 - No such file or directory @ rb_file_s_stat - /STORAGE/user/.gem/specs/api.rubygems.org%443/specs.4.8
GET https://api.rubygems.org/specs.4.8.gz
Exception `OpenSSL::SSL::SSLErrorWaitReadable' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/openssl/buffering.rb:182 - read would block
302 Moved Temporarily
GET https://s3.amazonaws.com/production.s3.rubygems.org/specs.4.8.gz
Exception `OpenSSL::SSL::SSLErrorWaitReadable' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/openssl/buffering.rb:182 - read would block
Exception `OpenSSL::SSL::SSLErrorWaitReadable' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/openssl/buffering.rb:182 - read would block
...many same errors...
Exception `OpenSSL::SSL::SSLErrorWaitReadable' at /STORAGE/user/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/openssl/buffering.rb:182 - read would block
200 OK

and hangs. I waited a few hours, nothing happened.

$ openssl version
OpenSSL 1.0.1e 11 Feb 2013

What's the problem?

  1. Support Staff 2 Posted by Eric Hodel on 04 Apr, 2014 07:26 PM

    Eric Hodel's Avatar

    --debug prints out every exception, even handled exceptions.

    It seems like you are no longer receiving packets while downloading files. This is likely a network problem on your end.

  2. 3 Posted by danny on 04 Apr, 2014 07:34 PM

    danny's Avatar

    wget https://s3.amazonaws.com/production.s3.rubygems.org/specs.4.8.gz works fine. But problem is only when I try to gem install

  3. 4 Posted by danny on 07 Apr, 2014 11:32 AM

    danny's Avatar

    It was fixed by using rubygems 2.1.11 instead of 2.2.2.

  4. Nick Quaranto closed this discussion on 25 Apr, 2014 01:00 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac